package com.ruoyi.basicData.service.impl;

import com.ruoyi.basicData.domain.TCustomerContact;
import com.ruoyi.basicData.mapper.TCustomerContactMapper;
import com.ruoyi.basicData.service.ITCustomerContactService;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 客户联系人Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-11
 */
@Service
public class TCustomerContactServiceImpl implements ITCustomerContactService {
    @Autowired
    private TCustomerContactMapper tCustomerContactMapper;

    /**
     * 查询客户联系人
     *
     * @param tId 客户联系人ID
     * @return 客户联系人
     */
    @Override
    public TCustomerContact selectTCustomerContactById(Long tId) {
        return tCustomerContactMapper.selectTCustomerContactById(tId);
    }

    /**
     * 查询客户联系人列表
     *
     * @param tCustomerContact 客户联系人
     * @return 客户联系人
     */
    @Override
    public List<TCustomerContact> selectTCustomerContactList(TCustomerContact tCustomerContact) {
        return tCustomerContactMapper.selectTCustomerContactList(tCustomerContact);
    }

    /**
     * 新增客户联系人
     *
     * @param tCustomerContact 客户联系人
     * @return 结果
     */
    @Override
    public int insertTCustomerContact(TCustomerContact tCustomerContact) {
        tCustomerContact.setCreateTime(DateUtils.getNowDate());
        return tCustomerContactMapper.insertTCustomerContact(tCustomerContact);
    }

    /**
     * 修改客户联系人
     *
     * @param tCustomerContact 客户联系人
     * @return 结果
     */
    @Override
    public int updateTCustomerContact(TCustomerContact tCustomerContact) {
        tCustomerContact.setUpdateTime(DateUtils.getNowDate());
        return tCustomerContactMapper.updateTCustomerContact(tCustomerContact);
    }

    /**
     * 批量删除客户联系人
     *
     * @param tIds 需要删除的客户联系人ID
     * @return 结果
     */
    @Override
    public int deleteTCustomerContactByIds(Long[] tIds) {
        return tCustomerContactMapper.deleteTCustomerContactByIds(tIds);
    }

    /**
     * 删除客户联系人信息
     *
     * @param tId 客户联系人ID
     * @return 结果
     */
    @Override
    public int deleteTCustomerContactById(Long tId) {
        return tCustomerContactMapper.deleteTCustomerContactById(tId);
    }
}
